### Enumeration

# Snapd GetInterfacesFlags

since: 1.48

#### Declaration

    flags Snapd.GetInterfacesFlags

#### Description [src]

Flags to control how interface information is returned.

Available since: 1.48

#### Members

`SNAPD_GET_INTERFACES_FLAGS_NONE`

  No flags, default behaviour.

  - Value: `0`
  - Available since: 1.48
`SNAPD_GET_INTERFACES_FLAGS_INCLUDE_DOCS`

  Include interface documentation.

  - Value: `1`
  - Available since: 1.48
`SNAPD_GET_INTERFACES_FLAGS_INCLUDE_PLUGS`

  Include associated plugs.

  - Value: `2`
  - Available since: 1.48
`SNAPD_GET_INTERFACES_FLAGS_INCLUDE_SLOTS`

  Include associated slots.

  - Value: `4`
  - Available since: 1.48
`SNAPD_GET_INTERFACES_FLAGS_ONLY_CONNECTED`

  Only return connected interfaces.

  - Value: `8`
  - Available since: 1.48